%define major   2
%define libname %mklibname fm-qt %major
%define devname %mklibname fm-qt -d

%define rel 1

Name:           pcmanfm-qt
Version:        1.4.1
Release:        %mkrel %rel
Summary:        File manager for the LXQt desktop
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/pcmanfm-qt/releases/download/%{version}/%{name}-%{version}.tar.xz

### Mageia patches (500-)
# mga#26670
Patch500:       pcmanfm-qt-1.2.0-mga-customize-default-appearance.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libfm) >= 1.2.0
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  cmake(fm-qt)

Requires:       lxqt-archiver
Requires:       qterminal

# recommended for kwin and kdesu for "run as root" functionality (mga#15088)
# changed to Recommends to allow parallel installation with plasma 5
Recommends:     kde-cli-tools

%description
File manager for the LXQt desktop.

%prep
%autosetup -p1

# change desktop file generic name to distinguish it from pcmanfm
sed -i 's/=File Manager/=QT File Manager/' pcmanfm/pcmanfm-qt.desktop.in

%build
%cmake_qt5 -DBUILD_DOCUMENTATION=ON
%cmake_build

%install
%cmake_install

desktop-file-install \
  --add-category="System;FileTools" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc %{_defaultdocdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/lxqt-desktop.desktop
%dir %{_datadir}/pcmanfm-qt
%dir %{_datadir}/pcmanfm-qt/lxqt
%{_datadir}/pcmanfm-qt/lxqt/settings.conf
%{_datadir}/pcmanfm-qt/translations/
%{_mandir}/man1/pcmanfm-qt.1.*
%{_iconsdir}/hicolor/scalable/apps/pcmanfm-qt.svg


%changelog
* Tue Feb 13 2024 papoteur <papoteur> 1.4.1-1.mga9
+ Revision: 2040871
- new vresion 1.4.1
- new 1.4.0

* Thu Apr 20 2023 papoteur <papoteur> 1.3.0-2.mga9
+ Revision: 1953693
- fix updating background cache when the referenced file is changed (pcmanfm-qt#1765)

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953182
- new version 1.3.0

* Fri Feb 10 2023 papoteur <papoteur> 1.2.1-3.mga9
+ Revision: 1939981
- Rebuild

* Mon Feb 06 2023 papoteur <papoteur> 1.2.1-2.mga9
+ Revision: 1938819
- rebuild for compilation with C++17 standard

* Tue Jan 03 2023 papoteur <papoteur> 1.2.1-1.mga9
+ Revision: 1929470
- new 1.2.1

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904264
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853755
- Release 1.1.0

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761591
- New version 1.0.0

* Sat Apr 17 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716198
- New version 0.17.0

* Wed Feb 24 2021 daviddavid <daviddavid> 0.16.0-5.mga9
+ Revision: 1675695
- make sure that qterminal is properly set as default instead of xterm (mga#28407)

* Sun Feb 14 2021 daviddavid <daviddavid> 0.16.0-4.mga8
+ Revision: 1675349
- customize default appearance

* Fri Jan 01 2021 wally <wally> 0.16.0-3.mga8
+ Revision: 1667534
- add patch from upstream PR to fix pcmanfm-qt startup crash (mga#27992)

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1659289
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643192
- New version 0.16.0
- update Url

* Thu May 28 2020 daviddavid <daviddavid> 0.15.1-1.mga8
+ Revision: 1588348
- new version: 0.15.1

* Sat May 23 2020 daviddavid <daviddavid> 0.15.0-3.mga8
+ Revision: 1587009
- add missing dependency on lxqt-archiver

* Sat May 23 2020 daviddavid <daviddavid> 0.15.0-2.mga8
+ Revision: 1586951
- add patch to customize default appearance (mga#26670)
  * use mga default backgrounds
  * use qterminal as default terminal
  * use lxqt-archiver as default archiver

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571827
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524850
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383865
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380841
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1361442
- conflicts deprecated lxqt-l10n package

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361427
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345487
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1300137
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1236013
- New version 0.13.0

* Fri Dec 08 2017 dglent <dglent> 0.12.0-1.mga7
+ Revision: 1181651
- Version 0.12.0

* Fri Nov 11 2016 neoclust <neoclust> 0.11.1-3.mga6
+ Revision: 1066443
- Add translation package as a require

* Thu Nov 10 2016 daviddavid <daviddavid> 0.11.1-2.mga6
+ Revision: 1066283
- recommends kde-cli-tools to use kdesu from Kf5 and no more from kde4
- remove now all kde4 dependencies

* Wed Nov 09 2016 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1066082
- New version 0.11.1

* Fri Feb 26 2016 luigiwalser <luigiwalser> 0.10.0-5.mga6
+ Revision: 979749
- add patch to fix build with grep 2.23
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900915
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 899970
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816435
- new version 0.9.0
- changed major from 1 to 2
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Jan 21 2015 doktor5000 <doktor5000> 0.8.0-5.mga5
+ Revision: 811756
- change Requires on kdebase4-runtime to Recommends
  o allows parallel installation with plasma 5

* Tue Jan 20 2015 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 811608
- added Requires on kdebase4-runtime for kwin and kdesu
- use kdesu instead as gksu for "run as root" functionality (mga#15088)
  o when run via gksu, no icons are shown

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 803666
- rebuild for QT 5.4 breakage

* Mon Oct 27 2014 doktor5000 <doktor5000> 0.8.0-2.mga5
+ Revision: 793984
- change name and comment in .desktop file to distinguish it from pcmanfm

* Sun Oct 19 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 789996
- new version 0.8
- enabled QT5 build
- change major to 1, use proper major in files list and for %%mklibname
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 739166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 683368
- Mageia 5 Mass Rebuild

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626347
- use %%mkrel
- added missing BuildRequires
- added conditional support for QT5, added QT5 BuildRequires
- enable building of documentation, reenabled -debuginfo packages
- added proper Provides/Requires for -devel package
- extend Categories of .desktop file
- imported package pcmanfm-qt


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: a547087
- Automatic import for version 0.7.0-1


